> ## Documentation Index
> Fetch the complete documentation index at: https://docs.munsit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sentiment Analysis

> Generate sentiment analysis from an audio transcription ID.

## Endpoint

`POST /audio/{transcriptionId}/sentiment-analysis`

## Authentication

```bash theme={null}
x-api-key: YOUR_MUNSIT_API_KEY
```

## Path parameter

| Parameter         | Type   | Required | Description                          |
| ----------------- | ------ | -------- | ------------------------------------ |
| `transcriptionId` | number | Yes      | ID from Audio Transcription response |

## Request body

| Field            | Type   | Required | Description                    |
| ---------------- | ------ | -------- | ------------------------------ |
| `analysis_depth` | string | No       | `light`, `standard`, or `deep` |

## Response highlights

* `language`
* `overall_sentiment`
* `key_emotions`
* `speaker_sentiment`
* `sentiment_trends`
* `critical_moments`
* `confidence_score`
* `analysis_depth`
* `processing_metadata`


## OpenAPI

````yaml POST /audio/{transcriptionId}/sentiment-analysis
openapi: 3.1.0
info:
  title: Munsit API
  description: >-
    Munsit - First True Arabic Voice AI that speaks Dialects From Abu Dhabi to
    Rabat with Voice Cloning & On-prem support
  version: 1.0.0
servers:
  - url: https://api.munsit.com/api/v1
    description: Global production server
  - url: https://ae.api.faseeh.ai/api/v1
    description: UAE regional server
security:
  - apiKeyAuth: []
paths:
  /audio/{transcriptionId}/sentiment-analysis:
    post:
      tags:
        - Speech-to-Text
      summary: Sentiment Analysis (Audio)
      description: Generate sentiment analysis from an audio transcription ID.
      operationId: audioSentimentAnalysis
      parameters:
        - name: transcriptionId
          in: path
          required: true
          schema:
            type: string
          description: Transcription ID
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                analysis_depth:
                  type: string
                  enum:
                    - light
                    - standard
                    - deep
      responses:
        '200':
          description: Sentiment analysis generated successfully
        '400':
          description: Bad Request
        '401':
          description: Unauthorized - Invalid or missing API key
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````